LibreOffice LibreOffice 4.4 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs
mutex.hxx File Reference
`#include <osl/mutex.h>`

Go to the source code of this file.

## Classes
class | osl::Mutex
| A mutual exclusion synchronization object. More...
class | osl::Guard< T >
| A helper class for mutex objects and interfaces. More...
class | osl::ClearableGuard< T >
| A helper class for mutex objects and interfaces. More...
class | osl::ResettableGuard< T >
| A helper class for mutex objects and interfaces. More...

## Namespaces
| osl

## Typedefs
typedef Guard< Mutex > | osl::MutexGuard
typedef ClearableGuard< Mutex > | osl::ClearableMutexGuard
typedef ResettableGuard< Mutex > | osl::ResettableMutexGuard